<?php

namespace FOP;

class InitialData {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function getJugendBeitrag() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataJugendBeitrag();
    
  }

  public static function getErwachsenenBeitrag() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataErwachsenenBeitrag();
    
  }

  public static function getFamilienBeitrag() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataFamilienBeitrag();
    
  }

  public static function getState2() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState2();
    
  }

  public static function getState3() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState3();
    
  }

  public static function getState4() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState4();
    
  }

  public static function getState5() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState5();
    
  }

  public static function getState1() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState1();
    
  }

  public static function getState6() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataState6();
    
  }

  public static function getDocUnclassified() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataDocUnclassified();
    
  }

  public static function getDocMitglied() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataDocMitglied();
    
  }

  public static function getDocProtokoll() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataDocProtokoll();
    
  }

  public static function getDocGruppe() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataDocGruppe();
    
  }

  public static function getItemsAufgabeState61EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState61EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeState51EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState51EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeState41EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState41EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeState31EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState31EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeState21EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState21EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeState11EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeState11EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeType21EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeType21EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function getItemsAufgabeType11EbnfInitialItem3EbnfOuterpredicate42() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getFOPInitialDataItemsAufgabeType11EbnfInitialItem3EbnfOuterpredicate42();
    
  }

  public static function createInitialItems(&$config) { 
    
    
    // --- BLOCK: main ---
    
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState6_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "600";
            $item['name'] = "Problem";
            $item['color'] = "#ff0000";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState6_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState5_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "500";
            $item['name'] = "Erledigt";
            $item['color'] = "#00aa00";
            $item['final'] = "1";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState5_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState4_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "400";
            $item['name'] = "Wartet auf Abnahme";
            $item['color'] = "#ff00ff";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState4_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState3_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "300";
            $item['name'] = "In Arbeit";
            $item['color'] = "#aaaa00";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState3_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState2_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "200";
            $item['name'] = "Zugewiesen";
            $item['color'] = "#ff00ff";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState2_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeState1_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeState::getDefaults();
            
            $item['sortableOrder'] = "100";
            $item['name'] = "Neu";
            $item['color'] = "#ffffff";
			\Tables\AufgabeState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeState1_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeType2_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeType::getDefaults();
            
            $item['name'] = "Notfall";
            $item['color'] = "#ff0000";
            $item['deadline'] = "0";
			\Tables\AufgabeType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeType2_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeType::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#items_aufgabeType1_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'])) {
            $item = \Tables\AufgabeType::getDefaults();
            
            $item['name'] = "Aufgabe";
            $item['color'] = "#ffff00";
            $item['deadline'] = "3";
			\Tables\AufgabeType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#items_aufgabeType1_1_ebnf_InitialItem_3_ebnf_outerpredicate_4_2'] = \Tables\AufgabeType::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#Jugend_Beitrag'])) {
            $item = \Tables\Tarif::getDefaults();
            
            $item['name'] = "Jugend Beitrag";
			\Tables\Tarif::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#Jugend_Beitrag'] = \Tables\Tarif::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#Erwachsenen_Beitrag'])) {
            $item = \Tables\Tarif::getDefaults();
            
            $item['name'] = "Erwachsenen Beitrag";
			\Tables\Tarif::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#Erwachsenen_Beitrag'] = \Tables\Tarif::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#Familien_Beitrag'])) {
            $item = \Tables\Tarif::getDefaults();
            
            $item['name'] = "Familien Beitrag";
			\Tables\Tarif::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#Familien_Beitrag'] = \Tables\Tarif::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_2'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("kontaktiert");
            $item['color'] = _("#f2f0a0");
            $item['order'] = _("2");
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_2'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_3'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("kein Interesse");
            $item['color'] = _("#e68787");
            $item['order'] = _("10");
            $item['endstate'] = _("1");
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_3'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_4'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("Interesse");
            $item['color'] = _("#c0ffc9");
            $item['order'] = _("4");
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_4'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_5'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("Erfolg");
            $item['color'] = _("#00df00");
            $item['order'] = _("5");
            $item['endstate'] = _("1");
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_5'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_1'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("neu");
            $item['color'] = _("#ffffff");
            $item['order'] = _("1");
            $item['aftercontact'] = $config['FOP']['InitialData']['#State_2'];
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_1'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#State_6'])) {
            $item = \Tables\CampaignState::getDefaults();
            
            $item['desc'] = _("kein Kontakt");
            $item['color'] = _("#dddddd");
            $item['order'] = _("12");
            $item['endstate'] = _("1");
			\Tables\CampaignState::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#State_6'] = \Tables\CampaignState::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#doc_unclassified'])) {
            $item = \Tables\DocType::getDefaults();
            
            $item['name'] = _("unklassifiziert");
			\Tables\DocType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#doc_unclassified'] = \Tables\DocType::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#doc_mitglied'])) {
            $item = \Tables\DocType::getDefaults();
            
            $item['name'] = "Mitglieder";
            $item['has-mitglied'] = "1";
			\Tables\DocType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#doc_mitglied'] = \Tables\DocType::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#doc_protokoll'])) {
            $item = \Tables\DocType::getDefaults();
            
            $item['name'] = "Protokolle";
            $item['has-protokoll'] = "1";
			\Tables\DocType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#doc_protokoll'] = \Tables\DocType::create($item, true, true);
		  }
        
		  if (!isset($config['FOP']['InitialData']['#doc_gruppe'])) {
            $item = \Tables\DocType::getDefaults();
            
            $item['name'] = "Gruppen";
            $item['has-gruppe'] = "1";
			\Tables\DocType::sanitizeDefaults($item, false);
            $config['FOP']['InitialData']['#doc_gruppe'] = \Tables\DocType::create($item, true, true);
		  }
          
    
    
  }

  public static function setup(&$config) { 
    
    
    // --- BLOCK: fillvalues ---
    
	     self::createInitialItems($config);
	 
    
  }


  
  

  
  
}



